responses:
  202-with-Location:
    description: > 
      The request was accepted for processing, but the processing has not
      been completed. On success, the HTTP response shall include a
      "Location" HTTP header that contains the URI of the newly-created
      "VNF LCM operation occurrence" resource corresponding to the
      operation.
    headers:
      Content-Type:
        description: The MIME type of the body of the response.
        type: string
        maximum: 1
        minimum: 1
      Location:
        description: The resource URI of the created VNF instance
        type: string
        format: url
      WWW-Authenticate:
        description: >
          Challenge if the corresponding HTTP request has not provided
          authorization, or error details if the corresponding HTTP
          request has provided an invalid authorization token.
        type: string
        maximum: 1
        minimum: 0
    schema:
      $ref: "../definitions/VNFLifecycleManagement_def.yaml#/definitions/VnfInstance"
  409-another-lcm-operation-ongoing:
    description: >
      The operation cannot be executed currently, due to a conflict with the
      state of the VNF instance resource.
      Typically, this is due to the fact that another LCM operation is
      ongoing.
      The response body shall contain a ProblemDetails structure, in which the
      "detail" attribute should convey more information about the error.
    headers:
      Content-Type:
        description: The MIME type of the body of the response.
        type: string
        maximum: 1
        minimum: 1
      WWW-Authenticate:
        description: >
          Challenge if the corresponding HTTP request has not provided
          authorization, or error details if the corresponding HTTP
          request has provided an invalid authorization token.
        type: string
        maximum: 1
        minimum: 0
    schema:
      $ref: "../../../definitions/SOL002SOL003_def.yaml#/definitions/ProblemDetails"
  409-inconsistent-state:
    description: >
      Another request is in progress that prohibits the fulfilment of
      the current request, or the current resource state is inconsistent
      with the request.
    headers:
      Content-Type:
        description: The MIME type of the body of the response.
        type: string
        maximum: 1
        minimum: 1
      WWW-Authenticate:
        description: >
          Challenge if the corresponding HTTP request has not provided
          authorization, or error details if the corresponding HTTP
          request has provided an invalid authorization token.
        type: string
        maximum: 1
        minimum: 0
    schema:
      $ref: "../../../definitions/SOL002SOL003_def.yaml#/definitions/ProblemDetails"
  409-state-conflict-INSTANTIATED:
    description: >
      The operation cannot be executed currently, due to a conflict with the
      state of the VNF instance resource.
      Typically, this is due to the fact that the VNF instance resource is in
      INSTANTIATED state.
      The response body shall contain a ProblemDetails structure, in which the
      "detail" attribute should convey more information about the error.
    headers:
      Content-Type:
        description: The MIME type of the body of the response.
        type: string
        maximum: 1
        minimum: 1
      WWW-Authenticate:
        description: >
          Challenge if the corresponding HTTP request has not provided
          authorization, or error details if the corresponding HTTP
          request has provided an invalid authorization token.
        type: string
        maximum: 1
        minimum: 0
    schema:
      $ref: "../../../definitions/SOL002SOL003_def.yaml#/definitions/ProblemDetails"
  409-state-conflict-not-FAILED_TEMP:
    description: >
      The operation cannot be executed currently, due to a conflict with the
      state of the VNF instance resource.
      Typically, this is due to the fact that the VNF instance resource is
      not in FAILED_TEMP state, or another error handling action is starting,
      such as rollback or fail.
      The response body shall contain a ProblemDetails structure, in which the
      "detail" attribute should convey more information about the error.
    headers:
      Content-Type:
        description: The MIME type of the body of the response.
        type: string
        maximum: 1
        minimum: 1
      WWW-Authenticate:
        description: >
          Challenge if the corresponding HTTP request has not provided
          authorization, or error details if the corresponding HTTP
          request has provided an invalid authorization token.
        type: string
        maximum: 1
        minimum: 0
    schema:
      $ref: "../../../definitions/SOL002SOL003_def.yaml#/definitions/ProblemDetails"
  409-state-conflict-NOT-INSTANTIATED:
    description: >
      The operation cannot be executed currently, due to a conflict with the
      state of the VNF instance resource.
      Typically, this is due to the fact that the VNF instance resource is in
      NOT-INSTANTIATED state, or that another lifecycle management operation
      is ongoing.
      The response body shall contain a ProblemDetails structure, in which the
      "detail" attribute should convey more information about the error.
    headers:
      Content-Type:
        description: The MIME type of the body of the response.
        type: string
        maximum: 1
        minimum: 1
      WWW-Authenticate:
        description: >
          Challenge if the corresponding HTTP request has not provided
          authorization, or error details if the corresponding HTTP
          request has provided an invalid authorization token.
        type: string
        maximum: 1
        minimum: 0
    schema:
      $ref: "../../../definitions/SOL002SOL003_def.yaml#/definitions/ProblemDetails"
